VERSION 2.00
Begin Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3756
   ClientLeft      =   2892
   ClientTop       =   3060
   ClientWidth     =   4272
   Height          =   4140
   Left            =   2844
   LinkTopic       =   "Form1"
   ScaleHeight     =   3756
   ScaleWidth      =   4272
   Top             =   2724
   Width           =   4368
   Begin Timer tmrHelp 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   3720
      Top             =   840
   End
   Begin PictureBox picTTip 
      BackColor       =   &H0080FFFF&
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   7.8
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   372
      Left            =   120
      ScaleHeight     =   348
      ScaleWidth      =   2148
      TabIndex        =   3
      Top             =   840
      Visible         =   0   'False
      Width           =   2172
   End
   Begin CommandButton btnAction 
      Caption         =   "Button 3"
      Height          =   615
      Index           =   2
      Left            =   2760
      TabIndex        =   2
      Tag             =   "Help Text for the right-most button"
      Top             =   120
      Width           =   1215
   End
   Begin CommandButton btnAction 
      Caption         =   "Button 2"
      Height          =   615
      Index           =   1
      Left            =   1440
      TabIndex        =   1
      Tag             =   "Help Text for the Second Button"
      Top             =   120
      Width           =   1215
   End
   Begin CommandButton btnAction 
      Caption         =   "Button 1"
      Height          =   615
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Tag             =   "Help Text for Button 1"
      Top             =   120
      Width           =   1215
   End
End
Option Explicit

' The help string
Dim sHelpText As String

' The position of the help picture
Dim iHelpPosLeft As Integer
Dim iHelpPosTop As Integer

' The mouse capture API function declarations
Declare Function SetCapture% Lib "User" (ByVal hWnd%)
Declare Sub ReleaseCapture Lib "User" ()

Sub btnAction_MouseMove (Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
    ' If we moved off button...
    If X > btnAction(Index).Width Or X < 0 Or Y > btnAction(Index).Height Or Y < 0 Then
        
        ' Turn off timer
        tmrHelp.Enabled = False

        ' Release mouse capture
        ReleaseCapture

        ' Hide the help
        picTTip.Visible = False
    Else
        ' Mouse over button
        ' is help already showing?
        If Not picTTip.Visible Then
            
            ' Set the timer
            tmrHelp.Enabled = True
    
            ' Capture the mouse messages
            Dim i As Integer
            i = SetCapture(btnAction(Index).hWnd)

            ' Set the help message and position
            sHelpText = btnAction(Index).Tag
            iHelpPosLeft = btnAction(Index).Left
            iHelpPosTop = btnAction(Index).Top + btnAction(Index).Height
        End If
    End If
End Sub

Sub ShowHelp ()
    ' Make picture proper size
    picTTip.Width = picTTip.TextWidth(sHelpText + " ")
    picTTip.Height = picTTip.TextHeight(sHelpText)

    ' Move the picture
    picTTip.Top = iHelpPosTop
    picTTip.Left = iHelpPosLeft

    ' Show the picture
    picTTip.Visible = True

    ' Display the help
    picTTip.Cls
    picTTip.Print sHelpText
End Sub

Sub tmrHelp_Timer ()
    ' Show the help!
    ShowHelp

    ' Turn off the timer
    tmrHelp.Enabled = False
End Sub

